Name: parted
Version: 1.6.3
Release: alt0.1

Summary: Flexible partitioning tool
License: GPL
Group: System/Configuration/Hardware

Url: http://www.gnu.org/software/%name
Source: ftp://ftp.gnu.org/gnu/%name/devel/%name-%version.tar.gz
#Patch1: %name-1.5.6-reiserfs.patch

Requires: lib%name = %version-%release

#BuildRequires: libe2fs-devel libncurses-devel libreadline-devel libtermcap-devel

# Automatically added by buildreq on Tue Oct 29 2002
BuildRequires: glibc-devel-static libe2fs-devel libncurses-devel libreadline-devel libtinfo-devel

%package -n lib%name
Summary: Shared library for flexible partitioning tool
Group: System/Libraries

%package -n lib%name-devel
Summary: Files required to compile software that uses lib%name
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%package -n lib%name-devel-static
Summary: Files required to compile statically linked software that uses lib%name
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel-static = %version
Obsoletes: %name-devel-static

%description
GNU Parted is a program that allows you to create, destroy,
resize, move and copy hard disk partitions. This is useful for
creating space for new operating systems, reorganising disk
usage, and copying data to new hard disks.

%description -n lib%name
This package includes the shared library needed to
run lib%name-based software.

%description -n lib%name-devel
This package includes the header files.

%description -n lib%name-devel-static
This package includes the libraries needed to
statically link software with lib%name.

%prep
%setup -q
#patch1 -p1

%build
#configure --enable-shared --enable-discover-only=no --enable-fs=yes --enable-debug=no --enable-read-only=no
%configure --enable-dynamic-loading
make

%install
%makeinstall
%find_lang %name

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -n lib%name
%_libdir/*.so.*
%_libdir/*.la

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a

%files -f %name.lang
%_sbindir/*
%_mandir/man?/*
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO

%changelog
* Tue Oct 29 2002 Michael Shigorin <mike@altlinux.ru> 1.6.3-alt0.1
- 1.6.3
- changed configure options as per Yura Umanets' advice
- test/use with attention, I've not actually tested this build!

* Mon Jan 21 2002 Yury V. Umanets <umka@altlinux.ru> 1.5.6-alt2
- Fix some problems with compilling with gcc-2.96
- Some code cleanups

* Sat Jan 19 2002 Yury V. Umanets <umka@altlinux.ru> 1.5.6-alt1
- 1.5.6
- Added full ReiserFS support
- Fix a problem with --disable-nls option

* Fri Aug 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4.18-alt1
- 1.4.18

* Thu Jul 26 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4.17-alt1
- 1.4.17

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4.16-alt1
- 1.4.16

* Thu Jul 12 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4.15-alt1
- 1.4.15

* Mon May 28 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4.13-alt1
- 1.4.13

* Wed May 23 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4.12-alt1
- 1.4.12

* Mon May 07 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4.11-alt2
- Fixed GROUP tag.

* Wed Apr 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4.11-alt1
- 1.4.11

* Sat Mar 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.4.10-ipl1mdk
- 1.4.10

* Mon Feb 19 2001 Dmitry V. Levin <ldv@fandra.org> 1.4.9-ipl1mdk
- 1.4.9

* Tue Jan 30 2001 Dmitry V. Levin <ldv@fandra.org> 1.4.8-ipl1mdk
- 1.4.8
- Split into three subpackages.

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 1.4.6-ipl1mdk
- 1.4.6

* Sun Dec 31 2000 Dmitry V. Levin <ldv@fandra.org> 1.4.5-ipl1mdk
- 1.4.5

* Fri Dec 01 2000 Dmitry V. Levin <ldv@fandra.org> 1.4.4-ipl1mdk
- 1.4.4

* Thu Nov 16 2000 Dmitry V. Levin <ldv@fandra.org> 1.4.1-ipl1mdk
- 1.4.1

* Mon Nov 13 2000 Dmitry V. Levin <ldv@fandra.org> 1.4.0-ipl1mdk
- 1.4.0

* Fri Nov 03 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.12-ipl1mdk
- 1.2.12

* Wed Oct 18 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.11-ipl1mdk
- 1.2.11

* Mon Oct 16 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.10-ipl1mdk
- 1.2.10

* Sat Sep 09 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.9-ipl1mdk
- 1.2.9

* Fri Aug 25 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.8-ipl1mdk
- 1.2.8

* Sun Aug 13 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.7-ipl1mdk
- 1.2.7

* Wed Aug  2 2000 Dmitry V. Levin <ldv@fandra.org> 1.2.6-ipl1mdk
- RE adaptions.

* Mon Jul 31 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.6-1mdk
- new release

* Tue Jul 25 2000 Pixel <pixel@mandrakesoft.com> 1.2.5-3mdk
- move .so to -devel

* Wed Jul 19 2000 Pixel <pixel@mandrakesoft.com> 1.2.5-2mdk
- use *all* new macros
- BM

* Tue Jul 18 2000 Pixel <pixel@mandrakesoft.com> 1.2.5-1mdk
- new version

* Sat Jul 15 2000 Pixel <pixel@mandrakesoft.com> 1.2.4-1mdk
- new version

* Wed Jun 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.3-1mdk
- new release
- use new macros
- add postun ldconfig (pixel sucks)

* Wed Jun 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2 (bug fixes release)
- add ldconfig in postinst (pxlscks)
- move libparted.so link to parted since parted need it (only keep lib*.a in
  parted-devel package) (pxlscks)

* Thu Jun 15 2000 Pixel <pixel@mandrakesoft.com> 1.2.1-1mdk
- new version

* Thu Jun  8 2000 Pixel <pixel@mandrakesoft.com> 1.0.17-4mdk
- new version (and add missing changelog, sorry for not resetting release, too late)

* Tue May 16 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 1.0.13-3mdk
- requires parted for parted-devel or you can't link anything!

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.13-2mdk

- Changed group for parted-devel
- Removed .po instal hack, looks like the Makefile is up to the task again -
  good.

* Mon Apr 10 2000 Pixel <pixel@mandrakesoft.com> 1.0.13-1mdk
- new version

* Tue Mar 28 2000 Pixel <pixel@mandrakesoft.com> 1.0.12-1mdk
- new version

* Fri Mar 24 2000 Pixel <pixel@mandrakesoft.com> 1.0.11-1mdk
- new version

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 1.0.10-3mdk
- Don't use prefix, too many headaches
- Some spec file changes
- Changed group according to 7.1 hierarchy (the package wasn't in the list)
- Let spec-helper do its job

* Tue Feb 29 2000 Pixel <pixel@mandrakesoft.com> 1.0.10-1mdk
- new version

* Tue Feb 15 2000 Pixel <pixel@mandrakesoft.com> 1.0.9-2mdk
- bzip man page
- remove vendor tag

* Tue Feb 15 2000 Pixel <pixel@mandrakesoft.com> 1.0.9-1mdk
- new version

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used a great srpm provided by Geoffrey Lee <snailtalk@linux-mandrake.com>

* Mon Feb 07 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- Rebuilt for Mandrake
- 1.0.8

* Mon Jan 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.7-2]
- made ped_device_seek() a bit more portable
- changed type of PedDevice's heads, sector, cyl fields to int's.
- added a man page, contributed by Timshel Knoll <timshel@pobox.com>

* Thu Jan 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.6-2]
- fixed >16gig bug in libparted/disk_dos.c  (need LE32, not LE16!!!)

* Tue Jan 18 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.5-2]
- applied patch from Tim Waugh <twaugh@redhat.com>
- added autoconfuse checks up-to-date linux/ext2_fs.h
- imported new ext2_fs.h
- imported changes from ext2resize, to add support the ext2 "filetype"
  feature
- removed -Wno-sign-compare, because it breaks older gcc
- moved checks for termcap up before readline check, and get readline check
  to use the result of the termcap check.
- the "termcap" library can be now be one of: -ltermcap, -ltermlib, -lcurses,
  -lncurses.
- fixed buglet for FAT16 cluster entries
- fixed (hopefully) str_list_print_wrap()
- use static for do_* in parted/parted.c
- cleaned up parted.spec.in

  [parted-1.0.4-2]
- Fixed a silly bug in ped_partition_set_system() for extended partitions

* Tue Jan  4 2000 Ryan Weaver <ryanw@infohwy.com>
  [parted-1.0.3-2]
- Arrghh!  Found (and fixed) a VERY nasty bug during partition table writes.

  [parted-1.0.2-1]
- Arrghh!  Found (and fixed) a nasty bug in the string printing code.

  [parted-1.0.1-1]
- added some documentation about --without-readline and --disable-nls
